summaryrefslogtreecommitdiffstats
path: root/ubuntu/precise/tdebase/debian/prune-nonfree
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-09-10 16:16:32 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-09-10 16:16:32 -0500
commit02dc85a95b228b7242b0d11ea35619faad96db03 (patch)
treee161ba877a0720bbdf7818bdec06eb239d8ad271 /ubuntu/precise/tdebase/debian/prune-nonfree
parent6f2c7dc70e77d2f768d687838b6cc9f7632f609e (diff)
downloadtde-packaging-02dc85a95b228b7242b0d11ea35619faad96db03.tar.gz
tde-packaging-02dc85a95b228b7242b0d11ea35619faad96db03.zip
Split precise from maverick
Diffstat (limited to 'ubuntu/precise/tdebase/debian/prune-nonfree')
-rw-r--r--ubuntu/precise/tdebase/debian/prune-nonfree21
1 files changed, 21 insertions, 0 deletions
diff --git a/ubuntu/precise/tdebase/debian/prune-nonfree b/ubuntu/precise/tdebase/debian/prune-nonfree
new file mode 100644
index 000000000..4fa832d5c
--- /dev/null
+++ b/ubuntu/precise/tdebase/debian/prune-nonfree
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+# Removes non-free files from the source tree. Must be done before
+# creating the orig.tar.gz.
+
+TOPLEVEL="$1"
+
+if [ "$TOPLEVEL" = "" ]; then
+ echo "Please provide the toplevel directory as the argument."
+ exit 1
+else
+ rm -f $TOPLEVEL/kcontrol/energy/pics/energybig.png
+ rm -f $TOPLEVEL/kcontrol/energy/pics/lo-energy.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr128-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr16-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr32-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr48-app-energy_star.png
+ rm -f $TOPLEVEL/kcontrol/pics/cr64-app-energy_star.png
+fi
+
+exit 0